<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
		PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
		"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hr.repository.jpa.Demo1Jpa">

	<resultMap type="com.hr.repository.domain.Demo1Entity" id="Demo1Result">
		<id     property="fid"         column="fid"        />
		<result property="fname"       column="fname"      />

	</resultMap>
	<select id="queryList3">
		select t.* from demo1 t where 1=1 and t.fname like '%'||#{name}||'%' and fid in (#{ids})
	</select>
	<select id="select1">
		select t.* from demo1 t where t.fname like '%'||:name||'%' and t.fid=:id
	</select>




</mapper> 